GlueGen: com.jogamp.common.av.AudioSink.AudioDataFrame Class Reference

GlueGen v2.6.0-rc-20250822 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | Protected Attributes | List of all members
com.jogamp.common.av.AudioSink.AudioDataFrame Class Reference

Audio data frame example of `AudioFrame` with actual audio data being attached. More...

Inheritance diagram for com.jogamp.common.av.AudioSink.AudioDataFrame:
Collaboration diagram for com.jogamp.common.av.AudioSink.AudioDataFrame:

## Public Member Functions

| AudioDataFrame (final int pts, final int duration, final ByteBuffer bytes, final int byteCount)
| Create a new instance. More...
final ByteBuffer | getData ()
| Get this frame's data. More...
String | toString ()
Public Member Functions inherited from com.jogamp.common.av.AudioSink.AudioFrame
| AudioFrame ()
| Ctor w/ zero duration, `INVALID_PTS` and zero byte size. More...
| AudioFrame (final int pts, final int duration, final int byteCount)
| Create a new instance. More...
final int | getByteSize ()
| Get this frame's size in bytes. More...
final void | setByteSize (final int size)
| Set this frame's size in bytes. More...
String | toString ()
Public Member Functions inherited from com.jogamp.common.av.TimeFrameI
| TimeFrameI ()
| Ctor w/ zero duration and `INVALID_PTS`. More...
| TimeFrameI (final int pts, final int duration)
| Create a new instance. More...
final int | getPTS ()
| Returns this frame's presentation timestamp (PTS) in milliseconds. More...
final void | setPTS (final int pts)
| Set this frame's presentation timestamp (PTS) in milliseconds. More...
final int | getDuration ()
| Get this frame's duration in milliseconds. More...
final void | setDuration (final int duration)
| Set this frame's duration in milliseconds. More...
String | toString ()

## Protected Attributes

final ByteBuffer | data
Protected Attributes inherited from com.jogamp.common.av.AudioSink.AudioFrame
int | byteSize
Protected Attributes inherited from com.jogamp.common.av.TimeFrameI
int | pts
int | duration

## Additional Inherited Members

Static Public Attributes inherited from com.jogamp.common.av.TimeFrameI
static final int | INVALID_PTS = 0x80000000
| Constant marking an invalid PTS, i.e. More...
static final int | END_OF_STREAM_PTS = 0x7FFFFFFF
| Constant marking the end of the stream PTS, i.e. More...

## Detailed Description

Audio data frame example of `AudioFrame` with actual audio data being attached.

Definition at line 94 of file AudioSink.java.

## Constructor & Destructor Documentation

## ◆ AudioDataFrame()

com.jogamp.common.av.AudioSink.AudioDataFrame.AudioDataFrame | ( | final int | pts,
|  | final int | duration,
|  | final ByteBuffer | bytes,
|  | final int | byteCount
| ) |  |

Create a new instance.

Parameters

  pts | frame pts in milliseconds
  duration | frame duration in milliseconds
  bytes | audio data
  byteCount | size in bytes

Definition at line 104 of file AudioSink.java.

## Member Function Documentation

## ◆ getData()

final ByteBuffer com.jogamp.common.av.AudioSink.AudioDataFrame.getData | ( |  | ) |

Get this frame's data.

Definition at line 113 of file AudioSink.java.

## ◆ toString()

String com.jogamp.common.av.AudioSink.AudioDataFrame.toString | ( |  | ) |

Reimplemented from com.jogamp.common.av.AudioSink.AudioFrame.

Definition at line 116 of file AudioSink.java.

## Member Data Documentation

## ◆ data

final ByteBuffer com.jogamp.common.av.AudioSink.AudioDataFrame.data

protected

Definition at line 95 of file AudioSink.java.

The documentation for this class was generated from the following file:

- src/java/com/jogamp/common/av/AudioSink.java